<?php
if( !defined('ABSPATH') )
	exit();
?>
<h2><?php _e('Envato','wpo');?></h2>
<?php 
	$yesno = wpo_ticket_yesno();
?>
<form name="ticket_save_settings" id="ticket_save_settings" action="" method="post">
<table class="form-table">
	<tbody>
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Integrated with Envato</strong>','wpo');?></td>
			<td>
				<select name="wpo_ticket_option_envato_enable">
				<?php 
					foreach ($yesno as $k=>$v){
						?>
							<option <?php if( wpo_ticket_option_envato_enable()==$k ): echo 'selected';endif;?> value="<?php echo $k;?>"><?php echo $v;?></option>
						<?php 
					}
				?>
				</select>
			</td>
		</tr>		
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Envato Username</strong>','wpo');?></td>
			<td>
				<input name="wpo_ticket_option_envato_username" type="text" class="regular-text" value="<?php echo wpo_ticket_option_envato_username();?>">
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Envato API</strong>','wpo');?></td>
			<td>
				<input name="wpo_ticket_option_envato_api" type="text" class="regular-text" value="<?php echo wpo_ticket_option_envato_api();?>">
				<a target="_blank" href="http://codecanyon.net/help/api"><?php _e('Get an API now!','wpo');?></a>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Enable Envato Avatar</strong><i>(Does not recommend, because it may speed down your site.)</i>','wpo');?></td>
			<td>
				<select name="wpo_ticket_option_envato_enable_avatar">
				<?php 
					foreach ($yesno as $k=>$v){
						?>
							<option <?php if( wpo_ticket_option_envato_enable_avatar()==$k ): echo 'selected';endif;?> value="<?php echo $k;?>"><?php echo $v;?></option>
						<?php 
					}
				?>
				</select>
			</td>
		</tr>
		<tr valign="top"><td colspan="2">
			<input type="hidden" name="action" value="ticket_save_settings">
			<button type="submit" class="button button-primary button-large" type="button"><?php _e('Save settings','wpo');?></button>
		</td></tr>
	</tbody>
</table>
</form>