<?php
if( !defined('ABSPATH') )
	exit();
if( !class_exists('WPO_pressticket_ENQUEUE') ){
	class WPO_pressticket_ENQUEUE {
		function __construct(){
			add_action('wp_enqueue_scripts', array($this,'wp_enqueue_scripts'),9999);
			add_action('admin_enqueue_scripts', array($this,'wp_enqueue_scripts'),9999);
		}
		function wp_enqueue_scripts(){
			global $pagenow, $post_type;
			wp_enqueue_script('jquery');
			wp_enqueue_script('press-ticket-script', WPO_PRESSTICKET_PLUGIN_URL . 'assets/js/script.js');
			wp_enqueue_style('press-ticket-style', WPO_PRESSTICKET_PLUGIN_URL . 'assets/css/style.css');
			if(is_admin()){
				wp_enqueue_style('press-ticket-style-admin', WPO_PRESSTICKET_PLUGIN_URL . 'assets/css/admin.css');
				wp_enqueue_script('press-ticket-client.js',WPO_PRESSTICKET_PLUGIN_URL . 'assets/js/client.js');
				wp_enqueue_script('press-ticket-admin.js',WPO_PRESSTICKET_PLUGIN_URL . 'assets/js/admin.js');
				if(  ($post_type =='wp-ticket' && $pagenow == 'post-new.php') || ($post_type =='wp-ticket' && $pagenow == 'post.php') ){
					wp_enqueue_style('press-ticket-removebox.css', WPO_PRESSTICKET_PLUGIN_URL . 'assets/css/removebox.css');
					wp_enqueue_script('press-ticket-submit-modifyer.js',WPO_PRESSTICKET_PLUGIN_URL . 'assets/js/submit-modifyer.js');	
				}
			}
			wp_enqueue_script('press-ticket-tabify', WPO_PRESSTICKET_PLUGIN_URL . 'assets/js/jquery.tabify.js');
			echo '<script>var wpo_ticket_ajax_url = "'.admin_url('admin-ajax.php').'";</script>';				
		}
	}
	$WPO_pressticket_ENQUEUE = new WPO_pressticket_ENQUEUE();
}