<?php
if( !defined('ABSPATH') )
	exit();
### General
if( !function_exists('wpo_ticket_option_network_api') ){
	function wpo_ticket_option_network_api() {
		return trim( get_option('wpo_ticket_option_network_api') ) ? trim( get_option('wpo_ticket_option_network_api') ) : null;
	}
}
if( !function_exists('wpo_ticket_option_helpdesk_status') ){
	function wpo_ticket_option_helpdesk_status() {
		return get_option('wpo_ticket_option_helpdesk_status') ? get_option('wpo_ticket_option_helpdesk_status') : 'yes';
	}
}
if(!function_exists('wpo_ticket_option_helpdesk_status_messages')){
	function wpo_ticket_option_helpdesk_status_messages() {
		return get_option('wpo_ticket_option_helpdesk_status_messages') ? get_option('wpo_ticket_option_helpdesk_status_messages') : 'We are performing essential maintenance on our ticketing system.';
	}
}
if(!function_exists('wpo_ticket_option_envato_enable')){
	function wpo_ticket_option_envato_enable() {
		return get_option('wpo_ticket_option_envato_enable') ? get_option('wpo_ticket_option_envato_enable') : 'no';
	}
}
if(!function_exists('wpo_ticket_option_envato_username')){
	function wpo_ticket_option_envato_username() {
		return trim( get_option('wpo_ticket_option_envato_username') ) ? trim( get_option('wpo_ticket_option_envato_username') ) : null; 
	}
}
if(!function_exists('wpo_ticket_option_envato_api')){
	function wpo_ticket_option_envato_api() {
		return trim( get_option('wpo_ticket_option_envato_api') ) ? trim( get_option('wpo_ticket_option_envato_api') ) : null; 
	}
}
if(!function_exists('wpo_ticket_option_envato_enable_avatar')){
	function wpo_ticket_option_envato_enable_avatar() {
		return get_option('wpo_ticket_option_envato_enable_avatar') ? get_option('wpo_ticket_option_envato_enable_avatar') : 'no';
	}
}
if( !function_exists('wpo_ticket_option_helpdesk_name')){
	function wpo_ticket_option_helpdesk_name() {
		return trim(get_option('wpo_ticket_option_helpdesk_name')) ? trim(get_option('wpo_ticket_option_helpdesk_name')) : get_bloginfo('name');
	}
}
if( !function_exists('wpo_ticket_option_helpdesk_email')){
	function wpo_ticket_option_helpdesk_email() {
		return trim(get_option('wpo_ticket_option_helpdesk_email')) ? trim(get_option('wpo_ticket_option_helpdesk_email')) : get_bloginfo('admin_email');
	}
}

if(!function_exists('wpo_ticket_option_slug')){
	function wpo_ticket_option_slug() {
		return trim( get_option('wpo_ticket_option_slug') ) ? trim( get_option('wpo_ticket_option_slug') ) : 'press-ticket'; 
	}
}
if(!function_exists('wpo_ticket_option_endpoint_slug')){
	function wpo_ticket_option_endpoint_slug() {
		return trim( get_option('wpo_ticket_option_endpoint_slug') ) ? trim( get_option('wpo_ticket_option_endpoint_slug') ) : 'pressticket';
	}
}
if(!function_exists('wpo_ticket_option_close_after_x_day')){
	function wpo_ticket_option_close_after_x_day() {
		return (int)get_option('wpo_ticket_option_close_after_x_day') ? (int)get_option('wpo_ticket_option_close_after_x_day') : 0;
	}
}
if(!function_exists('wpo_ticket_option_max_open_tickets')){
	function wpo_ticket_option_max_open_tickets() {
		return (int)get_option('wpo_ticket_option_max_open_tickets') ? (int)get_option('wpo_ticket_option_max_open_tickets') : 0;
	}
}
if(!function_exists('wpo_ticket_option_allow_users_open_ticket')){
	function wpo_ticket_option_allow_users_open_ticket() {
		return get_option('wpo_ticket_option_allow_users_open_ticket') ? get_option('wpo_ticket_option_allow_users_open_ticket') : 'yes';
	}
}
if(!function_exists('wpo_ticket_option_allow_users_upload_files')){
	function wpo_ticket_option_allow_users_upload_files() {
		return get_option('wpo_ticket_option_allow_users_upload_files') ? get_option('wpo_ticket_option_allow_users_upload_files') : 'yes';
	}
}
if( !function_exists('wpo_ticket_option_enable_recaptcha') ){
	function wpo_ticket_option_enable_recaptcha() {
		return get_option('wpo_ticket_option_enable_recaptcha') ? get_option('wpo_ticket_option_enable_recaptcha') : 'no';
	}
}
if(!function_exists('wpo_ticket_option_recaptcha_publish_key')){
	function wpo_ticket_option_recaptcha_publish_key() {
		return get_option('wpo_ticket_option_recaptcha_publish_key') ? trim(get_option('wpo_ticket_option_recaptcha_publish_key')) : '';
	}
}
if(!function_exists('wpo_ticket_option_recaptcha_private_key')){
	function wpo_ticket_option_recaptcha_private_key() {
		return get_option('wpo_ticket_option_recaptcha_private_key') ? trim(get_option('wpo_ticket_option_recaptcha_private_key')) : '';
	}
}
if(!function_exists('wpo_ticket_option_ticket_thread_order')){
	function wpo_ticket_option_ticket_thread_order() {
		return get_option('wpo_ticket_option_ticket_thread_order') ? get_option('wpo_ticket_option_ticket_thread_order') : 'DESC';
	}
}
if(!function_exists('wpo_ticket_option_ticket_woo_enable')){
	function wpo_ticket_option_ticket_woo_enable() {
		return get_option('wpo_ticket_option_ticket_woo_enable') ? get_option('wpo_ticket_option_ticket_woo_enable') : 'no';
	}
}
### Alert
if(!function_exists('wpo_ticket_option_alert_new_tickets')){
	function wpo_ticket_option_alert_new_tickets() {
		return get_option('wpo_ticket_option_alert_new_tickets') ? get_option('wpo_ticket_option_alert_new_tickets') : 'yes';
	}
}
if(!function_exists('wpo_ticket_option_alert_new_messages')){
	function wpo_ticket_option_alert_new_messages() {
		return get_option('wpo_ticket_option_alert_new_messages') ? get_option('wpo_ticket_option_alert_new_messages') : 'yes';
	}
}
### layout
if(!function_exists('wpo_ticket_option_enable_jquery')){
	function wpo_ticket_option_enable_jquery() {
		return get_option('wpo_ticket_option_enable_jquery') ? get_option('wpo_ticket_option_enable_jquery') : 'yes';
	}
}
if(!function_exists('wpo_ticket_option_enable_bootstrap')){
	function wpo_ticket_option_enable_bootstrap() {
		return get_option('wpo_ticket_option_enable_bootstrap') ? get_option('wpo_ticket_option_enable_bootstrap') : 'yes';
	}
}
if(!function_exists('wpo_ticket_option_show_loginform_mytickets')){
	function wpo_ticket_option_show_loginform_mytickets() {
		return get_option('wpo_ticket_option_show_loginform_mytickets') ? get_option('wpo_ticket_option_show_loginform_mytickets') : 'yes';
	}
}
if(!function_exists('wpo_ticket_option_show_loginform_createticket')){
	function wpo_ticket_option_show_loginform_createticket() {
		return get_option('wpo_ticket_option_show_loginform_createticket') ? get_option('wpo_ticket_option_show_loginform_createticket') : 'yes';
	}
}
if(!function_exists('wpo_ticket_get_url_createticket')){
	function wpo_ticket_get_url_createticket() {
		return get_option('wpo_ticket_get_url_createticket') ? get_option('wpo_ticket_get_url_createticket') : get_bloginfo('url') . '/new-ticket/';
	}
}
if(!function_exists('wpo_ticket_get_url_myticket')){
	function wpo_ticket_get_url_myticket() {
		return get_option('wpo_ticket_get_url_myticket') ? get_option('wpo_ticket_get_url_myticket') : get_bloginfo('url') . '/my-tickets/';
	}
}
if( !function_exists('wpo_ticket_builtsite') ){
	function wpo_ticket_builtsite() {
		return get_option('wpo_ticket_builtsite') ? get_option('wpo_ticket_builtsite') : 'no';
	}
}
if( !function_exists('wpo_ticket_get_loginform') ){
	function wpo_ticket_get_loginform() {
		$form = null;
		$form .= apply_filters('pressticket_loginform_before', null);
		$form .= '
				<form class="form-horizontal press-ticket-form-frontend" id="ticket_loginform" name="ticket_loginform" action="" method="post">
				  <div class="control-group">
				    <label class="control-label" for="inputEmail">'.__('Username','wpo').'</label>
				    <div class="controls">
				      <input type="text" id="inputEmail" placeholder="'.__('Username','wpo').'" name="username">
				    </div>
				  </div>
				  <div class="control-group">
				    <label class="control-label" for="inputPassword">'.__('Password','wpo').'</label>
				    <div class="controls">
				      <input type="password" id="inputPassword" placeholder="'.__('******','wpo').'" name="password">
				    </div>
				  </div>';
		$form .= apply_filters('pressticket_loginform_rememberme_before', null);
		$form .='<div class="control-group">
				    <div class="controls">
				      <label class="checkbox">
				        <input type="checkbox"> '.__('Remember me','wpo').'
				      </label>
				    </div>
				  </div>';
		$form .= apply_filters('pressticket_loginform_rememberme_after', null);
		$form .='
				  <div class="control-group">
				    <div class="controls">
				      <input name="action" type="hidden" value="ticket_loginform">  
				      <button type="submit" class="btn">'.__('Sign in','wpo').'</button>
				    </div>
				  </div>
				</form>	
		';
		$form .= apply_filters('pressticket_loginform_after', null);
		return $form;
	}
}