<?php
if( !defined('ABSPATH') )
	exit();
if(!function_exists('wpo_ticket_settings')){
	function wpo_ticket_settings() {
		$current_tab = $_GET['tab'];
		$plugin = wpo_ticket_get_plugin_data();	
		$text = array(
			'allow_open_ticket'	=>	__('Allow all users Open ticket, <i>this option will allow all user create new ticket, You can allow or disallow user specific anytime at <a href="'.get_bloginfo('url').'/wp-admin/users.php">here</a></i> <span class="label label-important">recomment</span>','wpo'),
			'allow_upload_files'	=>__('Allow all users Upload files. <i>Ticket plugin support visual editor, users can upload any file as photo,doc, rar, zip ... any ticket system that supports file upload, and '.$plugin[Name].' so, You can allow or disallow user specific anytime</i> <span class="label label-important">recomment</span>','wpo')
		);
		$tabs = array(
			''	=>	__('General','wpo'),
			'envato'	=>	__('Envato','wpo'),
			'alerts_and_notices'	=>	__('Alerts and Notices','wpo'),
			'layout'	=>	__('Layout','wpo'),
			'email_template'	=>	__('Email template','wpo'),
			'permission'	=>	__('Permission','wpo'),
			'report'	=>	__('Report','wpo'),
			'debug'	=>	__('Debug','wpo'),
			'help'	=>	__('Support','wpo')
		);
		?>
	    <div class="wrap">
	        <div id="icon-edit-comments" class="icon32"><br/></div>
	         <h2><?php _e( $plugin[Name] . ' Setting Page','wpo');?></h2>
	      <style>
	      /* Main marketing message and sign up button */
	      .jumbotron {
	        margin: 80px 0;
	        text-align: center;
	      }
	      .jumbotron h1 {
	        font-size: 36px;
	        line-height: 1;
	      }
	      .jumbotron h2 {font-size: 30px;}
		  .jumbotron h4 {font-size: 18px;line-height: 30px}
	      .jumbotron .lead {
	        font-size: 20px;
	        line-height: 30px;
	      }
	      .jumbotron .btn {
	        font-size: 21px;
	        padding: 14px 24px;
	      }
	      .table th, .table td{line-height: 33px!important;}
		</style>
		<?php if( wpo_ticket_builtsite()!='yes' ):?>
		  <div class="jumbotron">
	        <h1>Welcome to <?php echo $plugin[Name];?></h1>
	        <h2>Version <?php echo $plugin['Version'];?> by <?php echo $plugin[Author]?></h2>
	        <h2><?php echo $plugin['URI'];?></h2>
	        <h4>
	        	<?php echo $plugin[Name];?> <?php _e('need to built some setting as bellow, <br/>You can ignore by click Cancel button.','wpo');?>	        
	        </h4>
	        <div class="lead">
	        	<form action="" method="post" id="welcome_to">
		        	<table class="form-table">
		        		<?php 
		        			foreach($text as $k=>$v){
		        				?>
		        					<tr valign="top">
		        						<th style="width: 30px;" scope="row"><input value="<?php echo $k;?>" checked="checked" type="checkbox" name="settings[]"></td>
		        						<td style="text-align: left;"><?php echo $v;?></td>
									</tr>
									
		        				<?php 
		        			}
		        		?>
		        	</table>
			        <button type="submit" class="button button-primary button-large"><?php _e('Built now!','wpo');?></button>
			        <button id="ignore-settings" type="reset" class="button button-primary button-large"><?php _e('Cancel','wpo');?></button>
			        <input type="hidden" name="action" value="welcome_to">
				</form>	        	
	        </div>
	      </div>
	      <?php else:?>
			<h2 class="nav-tab-wrapper">
				<?php 
					foreach ($tabs as $k=>$v){
						?><a href="edit.php?post_type=wp-ticket&page=wp-ticket-settings&tab=<?php echo $k;?>" class="nav-tab <?php if($_GET['tab']==$k): echo 'nav-tab-active';endif;?>"><?php echo $v;?></a><?php 
					}
				?>
			</h2>
			<?php if( $current_tab == 'alerts_and_notices' ):?>
				<?php include 'settings/alert.php';?>
			<?php elseif ($current_tab=='envato'):?><?php include 'settings/envato.php';?>
			<?php elseif ($current_tab == 'layout'):?>	<?php include 'settings/layout.php';?>
			<?php elseif ($current_tab == 'email_template'):?><?php include 'settings/email.php';?>
			<?php elseif ($current_tab == 'permission'):?><?php include 'settings/permission.php';?>
			<?php elseif ($current_tab == 'report'):?>
				<div id="chart_ticket"></div>
				<?php do_action('chart_ticket');?>
			<?php elseif ($current_tab == 'debug'):?><?php include 'settings/debug.php';?>
			<?php elseif ($current_tab == 'help'):?>	<?php include 'settings/help.php';?>
			<?php else:?>
			<?php include 'settings/general.php';?>
			<?php endif;?>	      
	      <?php endif;?>	         
	    </div>	
		<?php 
	}
}