<?php
if( !defined('ABSPATH') )
	exit();
?>
<h2><?php _e('General','wpo');?></h2>
<?php 
	$yesno = wpo_ticket_yesno();
?>
<form name="ticket_save_settings" id="ticket_save_settings" action="" method="post">
<table class="form-table">
	<tbody>
		<tr valign="top"><td colspan="2"><h3><?php _e('General','wpo');?></h3></td></tr>
		<tr valign="top">
			<th scope="row"><strong><?php _e('Helpdesk Status:','wpo');?></strong></td>
			<td>
				<div>
					<select name="wpo_ticket_option_helpdesk_status" class="regular-text">
					<?php 
						foreach ($yesno as $k=>$v){
							if($k=='yes'){
								$status = 'Online';
							}
							else{
								$status = 'Offline';
							}
							?>
								<option <?php if(wpo_ticket_option_helpdesk_status()==$k):echo 'selected';endif;?> value="<?php echo $k;?>"><?php echo $status;?></option>
							<?php 
						}
					?>
					</select>
				</div>
				<div>
					<label><strong><?php _e('Offline Messages:','wpo');?></strong></label>
					<?php print wpo_ticket_get_editor(wpo_ticket_option_helpdesk_status_messages(), 'wpo_ticket_option_helpdesk_status_messages', 'wpo_ticket_option_helpdesk_status_messages', false)?>
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><strong><?php _e('Helpdesk Name/Title:','wpo');?></strong></td>
			<td>
				<input name="wpo_ticket_option_helpdesk_name" type="text" class="regular-text" value="<?php echo wpo_ticket_option_helpdesk_name();?>"> 
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><strong><?php _e('Helpdesk Email:','wpo');?></strong></td>
			<td>
				<input name="wpo_ticket_option_helpdesk_email" type="text" class="regular-text" value="<?php echo wpo_ticket_option_helpdesk_email();?>"> 
			</td>
		</tr>		
		<tr valign="top">
			<th scope="row"><strong><?php _e('Ticket Detail Slug URI:','wpo');?></strong></td>
			<td>
				<input name="wpo_ticket_option_slug" type="text" class="regular-text" value="<?php echo wpo_ticket_option_slug();?>">
				<div>
					<code><?php printf(__('Eg: <a href="#">%s</a>','wpo'),get_bloginfo('url') . '/' . wpo_ticket_option_slug() . '/first-ticket');?></code><br/>
					<code><?php  printf(__('If you change this slug, after Save the settings, go to %s and click <strong>Save Changes</strong> button.','wpo'),'<a href="'.admin_url('options-permalink.php').'">'.admin_url('options-permalink.php').'</a>'); ?></code>
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><strong><?php _e('Endpoint Slug:','wpo');?></strong></td>
			<td>
				<input name="wpo_ticket_option_endpoint_slug" type="text" class="regular-text" value="<?php echo wpo_ticket_option_endpoint_slug();?>">
				<div>
					<code><?php printf(__('Eg: <a href="#">%s</a>','wpo'),get_bloginfo('url') . '/api/' . wpo_ticket_option_endpoint_slug());?></code><br/>
					<code><?php  printf(__('If you change this slug, after Save the settings, go to %s and click <strong>Save Changes</strong> button.','wpo'),'<a href="'.admin_url('options-permalink.php').'">'.admin_url('options-permalink.php').'</a>'); ?></code>
				</div>
			</td>
		</tr>				
		<tr valign="top">
			<th scope="row"><strong><span class="label label-important"><?php _e('Required','wpo');?></span> <?php _e('Departments:','wpo');?></strong></td>
			<td>
				 <a href="<?php bloginfo('url');?>/wp-admin/edit-tags.php?taxonomy=department&post_type=wp-ticket" class="btn" type="button"><?php _e('Create new','wpo');?></a>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Help topics:</strong>, <i>Help topics will be created when you create new department!</i>','wpo');?></td>
			<td>
				 
			</td>
		</tr>		
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Auto close Tickets after X days</strong> <i>After X days, if the ticket is not updated will be close</i>:','wpo');?></td>
			<td>
				 <input name="wpo_ticket_option_close_after_x_day" type="text" class="regular-text" value="<?php echo wpo_ticket_option_close_after_x_day();?>">Days, enter 0 for unlimited.
			</td>
		</tr>		
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Maximum Open Tickets:</strong>','wpo');?></td>
			<td>
				 <input name="wpo_ticket_option_max_open_tickets" type="text" class="regular-text" value="<?php echo wpo_ticket_option_max_open_tickets();?>"> per email/user. (Helps with spam and email flood control - enter 0 for unlimited)
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Allow new users Open ticket:</strong>','wpo');?></td>
			<td>
				<select class="regular-text" name="wpo_ticket_option_allow_users_open_ticket">
				<?php 
					foreach ($yesno as $k=>$v){
						?>
							<option <?php if( wpo_ticket_option_allow_users_open_ticket()==$k ): echo 'selected';endif;?> value="<?php echo $k;?>"><?php echo $v;?></option>
						<?php 
					}
				?>
				</select>
			</td>
		</tr>		
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Allow new users upload files:</strong>','wpo');?></td>
			<td>
				<select class="regular-text" name="wpo_ticket_option_allow_users_upload_files">
				<?php 
					foreach ($yesno as $k=>$v){
						?>
							<option <?php if( wpo_ticket_option_allow_users_upload_files()==$k ): echo 'selected';endif;?> value="<?php echo $k;?>"><?php echo $v;?></option>
						<?php 
					}
				?>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Re-captcha</strong>','wpo');?></td>
			<td>
				<select class="regular-text" name="wpo_ticket_option_enable_recaptcha">
				<?php 
					foreach ($yesno as $k=>$v){
						?>
							<option <?php if( wpo_ticket_option_enable_recaptcha()==$k ): echo 'selected';endif;?> value="<?php echo $k;?>"><?php echo $v;?></option>
						<?php 
					}
				?>
				</select>
				<div>
				<label>
					<strong><?php if( wpo_ticket_option_enable_recaptcha()=='yes' ):?><span class="label label-important">Required</span><?php endif;?> Public Key</strong></label><br/>
				<input name="wpo_ticket_option_recaptcha_publish_key" value="<?php echo wpo_ticket_option_recaptcha_publish_key();?>" type="text" class="regular-text">
				</div>
				<div>
				<label><strong><?php if( wpo_ticket_option_enable_recaptcha()=='yes' ):?><span class="label label-important">Required</span><?php endif;?> Private Key</strong></label><br/>
				<input name="wpo_ticket_option_recaptcha_private_key" value="<?php echo wpo_ticket_option_recaptcha_private_key();?>" type="text" class="regular-text">
				<p><a target="_blank" href="http://www.google.com/recaptcha"><span class="label"><?php _e('Get one key now!','wpo');?></span></a></p>
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Ticket Thread Order:</strong>','wpo');?></td>
			<td>
				<select class="regular-text" name="wpo_ticket_option_ticket_thread_order">
				<?php 
					foreach ($yesno as $k=>$v){
						if($k=='yes'){
							$order = 'DESC';
						}
						else{
							$order = 'ASC';
						}
						?>
							<option <?php if( wpo_ticket_option_ticket_thread_order()==$order ): echo 'selected';endif;?> value="<?php echo $order;?>"><?php echo $order;?></option>
						<?php 
					}
				?>
				</select>
			</td>
		</tr>
		<?php if( WPO_pressticket_woocommerce::check_woocommerce_installed()===true ): ?>
		<tr valign="top">
			<th scope="row"><?php _e('<strong>Integrated with WooCommerce:</strong>','wpo');?></td>
			<td>
				<select class="regular-text" name="wpo_ticket_option_ticket_woo_enable">
				<?php 
					foreach ($yesno as $k=>$v){
						?>
							<option <?php if( wpo_ticket_option_ticket_woo_enable()==$k ): echo 'selected';endif;?> value="<?php echo $k;?>"><?php echo $v;?></option>
						<?php 
					}
				?>
				</select>
			</td>
		</tr>
		<?php endif;?>
		<tr valign="top"><td colspan="2">
			<input type="hidden" name="action" value="ticket_save_settings">
			<button type="submit" class="button button-primary button-large" type="button"><?php _e('Save settings','wpo');?></button>
		</td></tr>
	</tbody>
</table>
</form>