<?php
if( !defined('ABSPATH') )
	exit();
if( class_exists('WPO_pressticket_API_KEY') )
	$userAPI = new WPO_pressticket_API_KEY();
?>
<h2><?php _e('Permission','wpo');?></h2>
<form>
  <fieldset>
    <p class="search-box">
    <input class="regular-text" type="search" id="post-search-input" name="s" placeholder="<?php _e('Username/email/ID','wpo');?>" value="<?php echo strip_tags($_GET['s'])?>">
    <input type="hidden" name="page" value="wp-ticket-settings">
    <input type="hidden" name="post_type" value="wp-ticket">
    <input type="hidden" name="action" value="search-user">
    <input type="hidden" name="tab" value="permission">
    <button type="submit" class="button"><?php _e('Search','wpo');?></button>
    </p>
  </fieldset>
</form>
<table class="form-table press-ticket-permission">
	<thead>
		<tr>
			<th>#</th>
			<th><?php _e('API Key','wpo')?></th>
			<th><?php _e('Username','wpo');?></th>
			<th><?php _e('Role','wpo');?></th>
			<th><?php _e('Delete ticket(Backend)','wpo');?></th>
			<th><?php _e('Update ticket(Backend)','wpo');?></th>
			<th><?php _e('Open ticket','wpo');?></th>
			<th><?php _e('Upload files','wpo');?></th>
		</tr>
	</thead>
	<tbody>
		<?php 
			$args = array(
				'number'	=>	50,
				'orderby'	=>	'ID'
			);
			if($_GET['s']){
				$args['search']	=	trim($_GET['s']);
			}
			$users = get_users($args);
			if($users){
				foreach ($users as $user){
					$role = new WP_User( $user->ID );
					if($role->roles[0]!='administrator'){
						?>
							<tr valign="top">
								<td><?php echo $user->ID;?></td>
								<td>
									<?php 
										if( is_object( $userAPI ) ):
											if( $userAPI->get_apikey($user->ID) ){
												print $userAPI->get_apikey($user->ID) . '<br/>';	 
												printf(  __('<a style="color:green" href="%s">Reset</a>','wpo') , admin_url('edit.php?post_type=wp-ticket&page=wp-ticket-settings&tab=permission&action=create_apikey&user_id='.$user->ID) );
											} 
											else{
												printf(  __('<a style="color:red" href="%s">Create New</a>','wpo') , admin_url('edit.php?post_type=wp-ticket&page=wp-ticket-settings&tab=permission&action=create_apikey&user_id='.$user->ID) );
											}
										endif; 
									?>
								</td>
								<td><?php echo $user->user_login;?></td>
								<td><span class="label"><?php echo $role->roles[0];?></span></td>
								<td>
									<?php 
							    		if(user_can($user->ID, wpo_ticket_cap_delete_ticket())){
											$check_delete_ticket = 'checked';
										}
										else{
											$check_delete_ticket=NULL;
										} 								
									?>
									<?php if( $role->roles[0]!='editor'):?>
									<input type="checkbox" disabled="disabled" class="allow_delete_ticket">									
									<?php elseif( user_can($user->ID, wpo_ticket_cap_delete_ticket()) ):?>
										<input user_id="<?php echo $user->ID;?>" type="checkbox" checked="checked" class="allow_delete_ticket">
									<?php else:?>
										<input <?php echo $check_delete_ticket;?> user_id="<?php echo $user->ID;?>" name="allow_delete_ticket" type="checkbox" class="allow_delete_ticket">
									<?php endif;?>
									<span style="display:none" class="allow_delete_ticket_waiting_<?php echo $user->ID?>"><img src="<?php echo WPO_PRESSTICKET_PLUGIN_URL;?>assets/img/loading.gif"></span>
								</td>
								<td>
									<?php 
							    		if(user_can($user->ID, wpo_ticket_cap_update_ticket())){
											$check_update_ticket = 'checked';
										}
										else{
											$check_update_ticket=NULL;
										} 								
									?>	
									<?php if( !user_can($user->ID, 'level_2') ):?>
									<input type="checkbox" disabled="disabled" class="allow_delete_ticket">																	
									<?php elseif( user_can($user->ID, wpo_ticket_cap_update_ticket()) ):?>
										<input user_id="<?php echo $user->ID;?>" type="checkbox" checked="checked" class="allow_update_ticket">
									<?php else:?>
										<input <?php echo $check_update_ticket;?> user_id="<?php echo $user->ID;?>" name="update_ticket" type="checkbox" class="allow_update_ticket">
									<?php endif;?>
									<span style="display:none" class="allow_update_ticket_waiting_<?php echo $user->ID?>"><img src="<?php echo WPO_PRESSTICKET_PLUGIN_URL;?>assets/img/loading.gif"></span>
								</td>
								<td>
								<?php 
						    		if(user_can($user->ID, wpo_ticket_cap_view_ticket())){
										$check_open_ticket = 'checked';
									}
									else{
										$check_open_ticket=NULL;
									} 								
								?>								
									<?php  if( user_can($user->ID, wpo_ticket_cap_view_ticket()) ): ?>
									<input user_id="<?php echo $user->ID;?>" type="checkbox" checked="checked" class="allow_ticket">
									<?php else:?>
									<input <?php echo $check_open_ticket;?> user_id="<?php echo $user->ID;?>" name="allow_ticket" type="checkbox" class="allow_ticket">
									<?php endif;?>
									<span style="display: none" class="allow_ticket_waiting_<?php echo $user->ID?>"><img src="<?php echo WPO_PRESSTICKET_PLUGIN_URL;?>assets/img/loading.gif"></span>
								</td>
								<td>
								<?php 
						    		if(user_can($user->ID, 'upload_files')){
										$check_upload_files = 'checked';
									}
									else{
										$check_upload_files=NULL;
									} 								
								?>
									<?php if( $role->roles[0]=='editor' || $role->roles[0]=='author' ):?>
									<input type="checkbox" disabled="disabled" checked="checked" class="allow_upload_files">
									<?php else:?>
									<input <?php echo $check_upload_files;?> type="checkbox" name="allow_upload_files" class="allow_upload_files" user_id="<?php echo $user->ID;?>">
									<?php endif;?>
									<span style="display:none" class="allow_upload_files_waiting_<?php echo $user->ID?>"><img src="<?php echo WPO_PRESSTICKET_PLUGIN_URL;?>assets/img/loading.gif"></span>
								</td>
							</tr>				
						<?php						
					}					
				}
			}
		?>
	
</tbody></table>