<?php
if( !defined('ABSPATH') )
	exit();
if(!function_exists('wpo_ticket_after_single')){
	function wpo_ticket_after_single($the_content){
		global $post;
		$replies = wpo_ticket_get_reply($post->ID);	
		$author_id = wpo_ticket_get_author_id_post_id($post->ID);
		if( class_exists('WPO_purchasekey_verifier') ){
			$WPO_purchasekey_verifier = new WPO_purchasekey_verifier();
		}
		if( get_post_type() =='wp-ticket' && is_singular('wp-ticket') ){
			### check woo enable
			if( WPO_pressticket_woocommerce::check_woocommerce_installed()===true && wpo_ticket_option_ticket_woo_enable()=='yes' && get_post_meta($post->ID,'wpo_ticket_related_product',true)>0){
				$related = '<a href="'.get_permalink( get_post_meta($post->ID,'wpo_ticket_related_product',true) ).'"><strong>' . __('Related: ') . get_the_title( get_post_meta($post->ID,'wpo_ticket_related_product',true) ) .'</strong></a>';
			}
			else{
				$related = null;
			}
			### check permission
				$author_avatar = ( wpo_ticket_option_envato_enable_avatar()=='yes' && get_post_meta($post->ID,'wpo_ticket_envato_buyer',true) ) ?  $WPO_purchasekey_verifier->get_avatar(get_post_meta($post->ID,'wpo_ticket_envato_buyer',true)) : get_avatar($author_id, 64);				
				$before_content = '<table class="press-ticket-table press-ticket-table-frontend"><tbody><tr><td style="width: 15%">'.$author_avatar.'</td>';
				$before_content .= '<td style="vertical-align:middle">
					<div class="created ticketmeta">'. sprintf( __('Created by %s','wpo'),get_user_by('id', $author_id)->display_name).'</div>
					<div class="at ticketmeta">'. sprintf( __('At %s','wpo'),get_the_date('F j, Y g:i a')).'</div>
					<div class="status ticketmeta">'. sprintf(  __('Status: %s','wpo')  , wpo_ticket_hightlight_status(wpo_ticket_get_ticket_status($post->ID, true)) ).'</div>
					<div class="priority ticketmeta">'. sprintf(  __('Priority: %s','wpo')  , wpo_ticket_hightlight_priority( wpo_ticket_get_ticket_priority($post->ID, true))).'</div>';
					if( $related ){
						$before_content .= '<div class="related-product">'.$related.'</div>';
					}
					if( get_post_meta($post->ID,'wpo_ticket_type',true) =='woo-envato' || get_post_meta($post->ID,'wpo_ticket_type',true) =='envato' ){
						$WPO_purchasekey_verifier->item_id = get_post_meta($post->ID,'wpo_ticket_envato_item_id',true);
						$item_data = $WPO_purchasekey_verifier->get_item();
						$before_content .= '<div class="press-ticket-envato-summary">';
							$before_content .= '<ul>';
								$before_content .= '<li><label>'.__('Purchase Key: ','wpo').'</label> '.get_post_meta($post->ID,'wpo_ticket_envato_purchase_key',true).' </li>';
								$before_content .= '<li><label>'.__('Item Name: ','wpo').'</label><a href="'.$item_data['url'].'">'.get_post_meta($post->ID,'wpo_ticket_envato_item_name',true).'</a></li>';
								$before_content .= '<li><label>'.__('Buyer: ','wpo').'</label> '.get_post_meta($post->ID,'wpo_ticket_envato_buyer',true).' </li>';
								$before_content .= '<li><label>'.__('Licence: ','wpo').'</label> '.get_post_meta($post->ID,'wpo_ticket_envato_licence',true).' </li>';
							$before_content .= '</ul>';
						$before_content .= '</div>';
					}
				$before_content .= '</td></tr></table>';
				if($replies){
					$reply_html = '
						<table class="table table-hover press-ticket-table-frontend">
			              	<tbody>				
					';
					foreach ($replies as $reply_content){
						if( $author_id == $reply_content['user_id'] ){
							$isme = '<div>'.__('Customer','wpo').'</div>';
							$response_avatar = ( wpo_ticket_option_envato_enable_avatar()=='yes' ) ? $WPO_purchasekey_verifier->get_avatar(get_post_meta($post->ID,'wpo_ticket_envato_buyer',true)) : get_avatar($reply_content[comment_author_email], 64);
						}
						else{
							$isme = '<div>'.__('Support Staff','wpo').'</div>';
							$response_avatar = ( wpo_ticket_option_envato_enable_avatar()=='yes' ) ? $WPO_purchasekey_verifier->get_avatar(wpo_ticket_option_envato_username()) : get_avatar($reply_content[comment_author_email], 64);
						}
						$reply_html .= '
							<tr>
								<td style="width: 15%;text-align:center">
									<a name="reply-'.$reply_content[comment_ID].'"></a>
									'.$response_avatar.'
									<div>'.get_user_by('email', $reply_content[comment_author_email])->display_name.'</div>
									'.$isme.'
								</td>
								<td style="vertical-align:top;">
									'.nl2br( $reply_content[comment_content] ).'
									<p><div>'.$reply_content[comment_date].'</div></p>
								</td>
							</tr>
						';
					}
					$reply_html .= '</tbody></table>';
				}
				if( wpo_ticket_get_ticket_status($post->ID) =='open' && wpo_ticket_option_helpdesk_status()=='yes' ){
					$button = '<button id="reply_ticket" class="btn btn-large press-ticket-reply-button" type="button">'.__('Response','wpo').'</button>';	
					$status = wpo_ticket_get_status_options();
					if($status){
							$statusHTML = '<select name="status">';
								foreach ($status as $k=>$v ){
										$statusHTML .= '<option value="'.$k.'">'.$v.'</option>';
								}
							$statusHTML .= '</select>';
						
					}				 
					$html ='
						<form class="ticket-form press-ticket-form-frontend" style="display:none" name="replyticket" id="replyticket" action="" method="post">
						  <div class="control-group">
						    <label class="control-label">'.__('Response','wpo').'</label>
						    <div class="controls">
						     '.wpo_ticket_get_editor('','reply_content','reply_content').'
						    </div>
						  </div>
						  <div class="control-group">
						    <div class="controls">
						    '.$statusHTML.'
						    </div>
						  </div>				  
						  <div class="control-group">
						    <div class="controls">
						      <input type="hidden" name="post_id" value="'.$post->ID.'">
						      <input type="hidden" name="action" value="replyticket">
						      <button type="submit" class="btn btn-large" >'.__('Response','wpo').'</button>
						    </div>
						  </div>				  					
						</form>
						<div class="alert" style="display:none"></div>
					';
				}
				elseif(get_post_meta($post->ID,'wpo_ticket_status',true) =='close'){
					$html = '<div class="alert">'.__('Closed ticket!','wpo').'</div>';
				}
				elseif(get_post_meta($post->ID,'wpo_ticket_status',true) =='resolved'){
					$html = '<div class="alert alert-success">'.__('Resolved ticket!','wpo').'</div>';
				}
			}
		$content = '<div class="ticket-content">' . $the_content . '</div>';
		return $before_content . $content . $reply_html . $html . $button;
	}
	add_action('the_content', 'wpo_ticket_after_single');
}

